KNOCKPY(1)

NAME
knockpy - Python3 tool designed to enumerate subdomains on a target domain

DESCRIPTION
usage: KNOCKPY [-h] [-d DOMAIN] [-f FILE] [-v] [--dns DNS]

    [--useragent USERAGENT] [--timeout TIMEOUT] [--threads THREADS] [--recon] [--bruteforce] [--wordlist WORDLIST] [--json] [--save FOLDER] [--report REPORT]

knockpy v.7.0.0 - Subdomain Scan https://github.com/guelfoweb/knock

  options:

-h, --help
    show this help message and exit

-d DOMAIN, --domain DOMAIN
    domain to analyze

-f FILE, --file FILE
    domain list from file path

-v, --version
    show program's version number and exit

--dns DNS
    custom dns

--useragent USERAGENT
    custom useragent

--timeout TIMEOUT
    custom timeout

--threads THREADS
    custom threads

--recon
    subdomain reconnaissance

--bruteforce
    subdomain bruteforce

--wordlist WORDLIST
    wordlist file to import --bruteforce option required

--json
    shows output in json format

--save FOLDER
    folder to save report

--report REPORT
    shows saved report